> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get an Action

`GET https://api.pagerduty.com/incident_workflows/actions/{id}`

Get an Incident Workflow Action

Scoped OAuth requires: `incident_workflows.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

An Incident Workflow Action

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `action` | object |  |  |
| `action.id` | string |  | Read-only. |
| `action.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `action.type` | string |  | One of: `action`. |
| `action.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `action.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `action.domain_name` | string |  | The Verified Domain of the account that created the action. |
| `action.package_name` | string |  | The Package Name corresponding to the broad category of the Action. |
| `action.function_name` | string |  | The Function Name describing the specific functionality of the Action. |
| `action.version` | number |  | The version of the Action. |
| `action.name` | string |  | The descriptive name of the Action. |
| `action.description` | string |  | A description of the Action. |
| `action.action_type` | string |  | The type of Action. One of: `action`, `trigger`. |
| `action.action_tier` | string |  | The tier of the Action. One of: `basic-action`, `standard-action`, `premium-action`. |
| `action.trigger_type` | string |  | The type of Trigger this Action is, if action_type is trigger. One of: `polling`, `subscription`, `web`. |
| `action.tags` | array of string |  | A set of tags to apply to this action. |
| `action.search_keywords` | array of string |  | A set of search keywords to apply to this action. |
| `action.metadata` | string |  | JSON-formatted string of metadata pertaining to the Action. |
| `action.created_at` | string (date-time) |  | The date-time at which this Action was created. |
| `action.created_by_user_id` | string |  | The obfuscated Id of the User who created this Action. |
| `action.inputs` | array of object |  | Inputs whose values used during Action execution. |
| `action.inputs[].name` | string |  | The name of the Input. |
| `action.inputs[].description` | string |  | Describes what the purpose of the Input. |
| `action.inputs[].type` | string |  | The data type of this Input. One of: `text`, `password`, `integer`, `decimal`, `date`, `dateTime`, `boolean`, `singleChoice`, `multipleChoice`, `json`, `connection`, `trigger`. |
| `action.inputs[].default_value` | string |  | Serialized form of the default value that the input will take. |
| `action.inputs[].is_required` | boolean |  | Whether a value must be provided for this input. |
| `action.inputs[].is_hidden` | boolean |  | If true then this input will not be shown to users when configuring this action. |
| `action.inputs[].advanced` | boolean |  |  |
| `action.inputs[].metadata` | string |  |  |
| `action.inputs[].connection_type_id` | string |  | The configured value of the Input. |
| `action.outputs` | array of object |  | Outputs whose values set during Action execution. Read-only. |
| `action.outputs[].name` | string |  | The name of the Output. |
| `action.outputs[].description` | string |  |  |
| `action.outputs[].type` | string |  | The data type produced by this Output. One of: `text`, `password`, `integer`, `decimal`, `date`, `dateTime`, `boolean`, `singleChoice`, `multipleChoice`, `json`. |

Example: Response Example

```json
{
  "action": {
    "type": "action",
    "id": "pagerduty.com:test:sample-action:1",
    "domain_name": "pagerduty.com",
    "package_name": "test",
    "function_name": "sample-action",
    "version": 1,
    "name": "Test: Sample Action",
    "description": "A fake Action for documentation purposes",
    "action_type": "integration",
    "action_tier": "premium-action",
    "tags": [],
    "metadata": "{}",
    "search_keywords": [],
    "inputs": [
      {
        "name": "Text Input",
        "description": "A text input",
        "type": "text",
        "default_value": "some text",
        "is_required": true,
        "is_hidden": false,
        "advanced": false,
        "metadata": "{}",
        "connection_type_id": ""
      },
      {
        "name": "Int Input",
        "description": "An integer input",
        "type": "integer",
        "default_value": "1234",
        "is_required": false,
        "is_hidden": false,
        "advanced": false,
        "metadata": "{}",
        "connection_type_id": ""
      }
    ],
    "outputs": [
      {
        "name": "Text Output",
        "description": "A text output",
        "type": "text"
      }
    ],
    "created_at": "2022-12-08T22:14:16.965Z",
    "created_by_user_id": "PNBURS9"
  }
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 402

Account does not have the abilities to perform the action. Please review the response for the required abilities.
You can also use the [Abilities API](#resource_Abilities) to determine what features are available to your account.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
